summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2013-06-28 02:37:48 +0000
committerMike Frysinger <vapier@gentoo.org>2013-06-28 02:37:48 +0000
commite8dc7acd226fca392ea0668ad53f01cdcf09ec47 (patch)
tree6df6f94af0cc780eb299a3e47d642d763073e021 /eclass/emul-linux-x86.eclass
parentVersion bump. (diff)
downloadhistorical-e8dc7acd226fca392ea0668ad53f01cdcf09ec47.tar.gz
historical-e8dc7acd226fca392ea0668ad53f01cdcf09ec47.tar.bz2
historical-e8dc7acd226fca392ea0668ad53f01cdcf09ec47.zip
do not fail the linker script hack when the package contains no linker scripts at all
Diffstat (limited to 'eclass/emul-linux-x86.eclass')
-rw-r--r--eclass/emul-linux-x86.eclass11
1 files changed, 7 insertions, 4 deletions
diff --git a/eclass/emul-linux-x86.eclass b/eclass/emul-linux-x86.eclass
index e76d6af68cd8..bd3004c1b880 100644
--- a/eclass/emul-linux-x86.eclass
+++ b/eclass/emul-linux-x86.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/emul-linux-x86.eclass,v 1.18 2013/02/24 23:30:02 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/emul-linux-x86.eclass,v 1.19 2013/06/28 02:37:48 vapier Exp $
#
# Original Author: Mike Doty <kingtaco@gentoo.org>
@@ -66,9 +66,12 @@ emul-linux-x86_src_install() {
pushd "${D}"/usr/${x86_libdir} >/dev/null
# Fix linker script paths.
- sed -i \
- -e "s:/lib32/:/${x86_libdir}/:" \
- $(grep -ls '^GROUP.*/lib32/' *.so) || die
+ local ldscripts
+ if ldscripts=( $(grep -ls '^GROUP.*/lib32/' *.so) ) ; then
+ sed -i \
+ -e "s:/lib32/:/${x86_libdir}/:" \
+ "${ldscripts[@]}" || die
+ fi
# Rewrite symlinks (if need be).
local sym tgt